# MaskSplinePoint(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MaskSplinePoint`(bpy_struct)

  Single point in spline used for defining mask

  `co`

    Coordinates of the control point

    Type: | float array of 2 items in [-inf, inf], default (0.0, 0.0)

  `feather_points`

    Points defining feather

    Type: | `bpy_prop_collection` of `MaskSplinePointUW`, (readonly)

  `handle_left`

    Coordinates of the first handle

    Type: | float array of 2 items in [-inf, inf], default (0.0, 0.0)

  `handle_left_type`

    Handle type

    Type: | enum in [‘AUTO’, ‘VECTOR’, ‘ALIGNED’, ‘ALIGNED_DOUBLESIDE’, ‘FREE’], default ‘FREE’

  `handle_right`

    Coordinates of the second handle

    Type: | float array of 2 items in [-inf, inf], default (0.0, 0.0)

  `handle_right_type`

    Handle type

    Type: | enum in [‘AUTO’, ‘VECTOR’, ‘ALIGNED’, ‘ALIGNED_DOUBLESIDE’, ‘FREE’], default ‘FREE’

  `handle_type`

    Handle type

    Type: | enum in [‘AUTO’, ‘VECTOR’, ‘ALIGNED’, ‘ALIGNED_DOUBLESIDE’, ‘FREE’], default ‘FREE’

  `parent`

    Type: | `MaskParent`, (readonly)

  `select`

    Selection status

    Type: | boolean, default False

  `weight`

    Weight of the point

    Type: | float in [0, 1], default 0.0

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`MaskSpline.points` `MaskSplinePoints.remove` | `MaskSplines.active_point`